Help Compiling Mudlet

Everest
Posts: 10
Joined: Wed Apr 22, 2009 4:50 am

Help Compiling Mudlet

Post by Everest » Thu May 14, 2009 4:29 am

I downloaded and extracted the source code to my desktop and cd'ed to it in the terminal, but I can't figure out the proper qmake command from there. And yes, qmake is installed. Thanks!

User avatar
Heiko
Site Admin
Posts: 1548
Joined: Wed Mar 11, 2009 6:26 pm

Re: Help Compiling Mudlet

Post by Heiko » Thu May 14, 2009 8:25 am

in mudlet/src you call qmake-qt4
make
./mudlet (otherwise you start the one from the broken ppa)

From what you've posted on the bugtracker: Reduce your RAM amount to a maximum of 2 GB. The integrated graphics drivers that were available on Linux a couple of months ago couldn't handle more than 2 GB RAM. It always takes a bit of time until new hardware is properly supported on Linux.

Everest
Posts: 10
Joined: Wed Apr 22, 2009 4:50 am

Re: Help Compiling Mudlet

Post by Everest » Thu May 14, 2009 4:44 pm

Code: Select all

*@*:~$ cd Desktop
*@*:~/Desktop$ cd mudlet
*@*:~/Desktop/mudlet$ cd src
*@*:~/Desktop/mudlet/src$ qmake-qt4
*@*:~/Desktop/mudlet/src$ make
/usr/bin/uic-qt4 ui/connection_profiles.ui -o ui_connection_profiles.h
make: /usr/bin/uic-qt4: Command not found
make: *** [ui_connection_profiles.h] Error 127
*@*:~/Desktop/mudlet/src$ 
Username and computer name have been omitted.

And I only have 512MB RAM, so I don't think that's a problem.

User avatar
Heiko
Site Admin
Posts: 1548
Joined: Wed Mar 11, 2009 6:26 pm

Re: Help Compiling Mudlet

Post by Heiko » Thu May 14, 2009 4:56 pm

you need to install the qt4 dev tools.
check out the compile howto http://mudlet.sourceforge.net/wordpress/?page_id=30

In you case it's definitely a hardware/driver related problem that needs to be fixed either way.

Everest
Posts: 10
Joined: Wed Apr 22, 2009 4:50 am

Re: Help Compiling Mudlet

Post by Everest » Thu May 14, 2009 5:06 pm

Nevermind. I was being an idiot and thought I already installed the dependencies. Got Mudlet up and running fine.

There were a lot of "warning: unused parameter *" and "warning: unused variable *" (* replaced with various parameters and variables). Just wondering if that's normal.

And the lag problems are still the same. Which was expected, since it's a hardware issue. Going to try some workarounds suggested by Vadi and report back to the bugtracker.

Thanks again.

User avatar
Vadi
Posts: 4728
Joined: Sat Mar 14, 2009 3:13 pm

Re: Help Compiling Mudlet

Post by Vadi » Thu May 14, 2009 11:09 pm

The warnings are normal at this point, and you got the video problems sorted out so that's good.

Mosr
Posts: 30
Joined: Wed Jul 21, 2010 1:24 pm

Re: Help Compiling Mudlet

Post by Mosr » Sat Oct 30, 2010 7:03 am

So, I'm trying to compile the 1.2.0 version on Ubuntu. I follow the directions here and here but when I go to install the dependencies, I get an error (the same one that you see from the fix thingie). I'm not exactly sure what I'm doing wrong.
justin@justin-desktop:~/Desktop$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
liblua5.1-rex-pcre0
The following NEW packages will be installed:
liblua5.1-rex-pcre0
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B/16.2kB of archives.
After this operation, 94.2kB of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 281121 files and directories currently installed.)
Unpacking liblua5.1-rex-pcre0 (from .../liblua5.1-rex-pcre0_2.4.0-1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/liblua5.1-rex-pcre0_2.4.0-1_i386.deb (--unpack):
trying to overwrite '/usr/lib/lua/5.1/rex_pcre.so', which is also in package lrexlib1 0:2.4.0-1~ppa15
Errors were encountered while processing:
/var/cache/apt/archives/liblua5.1-rex-pcre0_2.4.0-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
justin@justin-desktop:~/Desktop$
Edit: I'm also not sure what information might also be needed to help.

User avatar
Heiko
Site Admin
Posts: 1548
Joined: Wed Mar 11, 2009 6:26 pm

Re: Help Compiling Mudlet

Post by Heiko » Sat Oct 30, 2010 9:38 am

uninstall Mudlet-ppa

Mosr
Posts: 30
Joined: Wed Jul 21, 2010 1:24 pm

Re: Help Compiling Mudlet

Post by Mosr » Sat Oct 30, 2010 10:11 am

You're gonna have to treat me like a retard. I'm not even sure what a PPA is or how to uninstall Mudlet-PPA.

User avatar
Vadi
Posts: 4728
Joined: Sat Mar 14, 2009 3:13 pm

Re: Help Compiling Mudlet

Post by Vadi » Sat Oct 30, 2010 1:02 pm

You only need to remove the lrexlib1 package. Not "uninstall the ppa".

Post Reply

Who is online

Users browsing this forum: No registered users and 9 guests